<?php

/**  Editions
 * Les ditions.
 * @version 0.1
 * @date 2005/01/18
 * @author chautard patrick.chautard@cg94.fr
 * @package edition
 * @access public
 */

/** Classe pdf_mysql_table */
require_once('local/classes/fpdf/pdf_mysql_table.php');

/** Edition des communes par ordre alphabtique.
 * Surchage de la classe PDF_MySQL_Table pour la personnalisation de l'tat.
 * @access private
 * @package edition
 */
class PDFCA extends PDF_MySQL_Table
{
 //En-tte
 function Header()
 {
    $this->Ln(10);
    $this->SetFont('Arial','B',24);
    $this->Cell(0,0,"Edition alphabtique des communes",0,0,"C");
    $this->Ln(10);
	
	//Imprime l'en-tte du tableau si ncessaire
    parent::Header();
 }

 //Pied de page
 function Footer()
 {
    //Police Arial italique 8
    $this->SetFont('Arial','',7);
    //Numro de page
    $this->SetXY(180,-10);
    $this->Cell(0,0,"Page ".$this->PageNo(),0,0,'R');
 }
}

/**  Classe pour la gnration de diverses editions.
 *  @package 	edition
 */
class edition
{
    /** Statistique des communes par ordre alphattique
	 * @link edition_communealpha_()
     * @access public
 	 * @param string - Nom du fichier pdf  gnrer.
	 * @param boolean = [false] - Affichage des informations de debug.
	 */
	function commune_alpha($fname, $debug=false) {
		// Recherche de tous les tablissements
		$sql="SELECT * FROM ".$_obweb->tprefix."ville ORDER BY nom";

		$pdf=new PDFCA();
		$pdf->Open();

		$pdf->AddPage('P');
		$pdf->AddCol( 0,30,"CODE INSEE",'C');
		$pdf->AddCol( 1,30,"CODE POSTAL",'C');
		$pdf->AddCol( 2,60,"NOM",'L');
		$prop=array('HeaderColor'=>array(255,150,100),
					'color1'=>array(210,245,255),
					'color2'=>array(255,255,210),
					'padding'=>2);
		$pdf->Table( $sql, $prop, true);
		
		$pdf->Output("obfiles/pdf/".$fname);
	}
	
    /** Affichage d'un message  l'cran 
     * @access private
	 * @param string - le message  afficher
	 */
	function e($input) {
		echo str_pad($input, 255, " ", STR_PAD_RIGHT)."<br>";
		fflush();
	}
}