<?php
/** Liste des villes avec pour slection les donnes provenant de ville/filter.
 * Using slotfield configuration, fields can be disabled, enabled and labels can
 * be changed, positions may be changed too, any other change is ignored.
 * @param $_SESSION["_obvillesortby"] string sort by field
 * @param $_SESSION["_obfgroup"] number only user of the specified group, if present
 * @param $_POST["search"] string free text search on surname, name, organization
 * @version 0.2
 * @date 2005/01/11
 * @author chautard patrick.chautard@cg94.fr
 * @package ville
 * @link ville_filter_()
 */

/** Classe pour gnrer des requtes select */
require_once "common/classes/general/ez_select.php";

/** Classe pour gnrer des tables HTML */
require_once "common/classes/pear/HTML/Table.php";

/** Liste des villes avec pour slection les donnes provenant de ville/filter. */
function ville_adm_()
{
  global $_obweb;

    $_obweb->addButtons(array("print"));

    // Finds the fields to be shown (columns titles)
    $sql="SELECT fieldname, label FROM ".$_obweb->tprefix
      ."slotfield WHERE pagename='".$_GET["page"]
      ."' AND slotname='ville/adm' AND enable='Y' ORDER BY ord";
    $_obweb->mb->QueryAll($sql, $show);
    for ($i=0; $i<count($show); $i++) {
        $header[]=$_obweb->locale->intLabel($show[$i][1]);
    }

    // Variable init for paging results
    $limit = 25;                         //Limit number users per page
    if (isset($_GET["offset"])) {        //Check if paging is set
        $offset = $_GET["offset"];
        $left = $offset - $limit;
        if ($left < 0) {                 //Just in case
            $left = 0;
        }
        $right = $offset + $limit;
    } else {
        $offset = 0;
        $left = 0;
        $right = $limit;
    }

    // Looking for users from a specific group
    $qry=new ez_select();
    $qryc=new ez_select();

    // Utilisation de l table personne et personne_groupe
    $qry->add_table($_obweb->tprefix."ville");
    $qryc->add_table($_obweb->tprefix."ville");

    for ($i=0; $i<count($show); $i++) {
        $qry->add_field($show[$i][0]);
    }
    $qryc->add_field("COUNT(*)");
	
    if ($_SESSION["_obvillecodepostal"]) {
        if ($_SESSION["_obvillecodepostal"]=="**") { //search for provincia not set
            $qry->add_where_clause("codepostal=''");
            $qryc->add_where_clause("codepostal=''");
        } else {
            $qry->add_where_clause("codepostal LIKE '".$_SESSION["_obvillecodepostal"]."%'");
            $qryc->add_where_clause("codepostal LIKE '".$_SESSION["_obvillecodepostal"]."%'");
        }
    }

    if ($_SESSION["_obvillesearch"]) {
        $search=$_obweb->mb->GetTextFieldValue("%".$_SESSION["_obvillesearch"]."%");
        $qry->add_where_clause("(".$_SESSION["_obvillesortby"]." LIKE ".$search.")");
        $qryc->add_where_clause("(".$_SESSION["_obvillesortby"]." LIKE ".$search.")");
    }
    if ($_SESSION["_obvillesortby"]) $qry->add_order_by($_SESSION["_obvillesortby"]);

    $sql=$qryc->make();
    $_obweb->mb->QueryAll($sql, $nbr);

	$qry->set_limit($offset, ($limit+1));
    $sql=$qry->make();
    $_obweb->mb->QueryAll($sql, $ville);

    //echo "SQL=$sql <br>";
    //echo "Error=".$_obweb->mb->Error()." <br>";

    //These must be in the same order as the URL's above
    $urlimg = array();
    $urlmsgs = array();

    //modify an user
	if ($_obweb->has("","ville_mod")) {
		$urlimg[]="common/images/core/editor.gif";
		$urlmsgs[] = _l("Fiche commune");
	}
	
    //multilingual messages
	$msg["home"] = _l("Dbut");
    $msg["right"] = _l("Suivant");
    $msg["left"] = _l("Prcdent");
    $msg["end"] = _l("Fin");
    
	// Calcul de la page courante
	$here = ceil(($offset+1)/$limit);

    $url =& new url();
    
	$select = array();
	// Tableau des pages
	for( $i=1, $j=0;  $j < $nbr[0][0]; $j+=$limit, $i++ ) {
		$url->clear();
		$url->setVal("page",$_GET["page"], true);

		$s = "<option value='".$url->setVal("offset", $j, true)."'";
		if ($i == $here)
		 $s .= " selected='selected'";
  		$s .= ">$i</option>";
		$select[] = $s;
	}
    //shows or not the arrows
    if ($nbr[0][0]<=$limit) {
        $show["right"]=false;
    } else {
        $show["right"]=true;
    }
    if ($offset==0) {
        $show["left"]=false;
    } else {
        $show["left"]=true;
    }

    $url->clear();
    $url->setVal("page",$_GET["page"], true);
    $url_home = $url->setVal("offset", "0", true);

    $url->clear();
    $url->setVal("page",$_GET["page"], true);
    $url_left = $url->setVal("offset",$left, true);
	
    $url->clear();
    $url->setVal("page",$_GET["page"], true);
    $url_right = $url->setVal("offset", $right, true);

    $url->clear();
    $url->setVal("page",$_GET["page"], true);
    $url_end = $url->setVal("offset", ($nbr[0][0] - $limit), true);

    $_obweb->smslot->assign(array("urlimg" => $urlimg, "urlmsgs" => $urlmsgs, "url_home" => $url_home, "url_end" => $url_end, "url_left" => $url_left,
      "url_right" => $url_right, "select" => $select, "ville" => $ville, "header" =>$header, "show" => $show));
}
?>